Page MenuHome

Eevee: Ghosting artifacts in volume object
Closed, InvalidPublic

Description

System Information
Operating system: Windows 7
GPU: Radeon Vega 64
GPU Software Version: 20.4.2 (2020.0515.1537.28108)
CPU: Intel Core i7-5960X

Blender Version(s)
(listed are versions tested)

Working: Not applicable
Broken: 2.80 (sub 75), branch: master, commit date: 2019-07-29 14:47, hash: f6cb5f54494e, type: Release, build date: 2019-07-29, 09:44 AM
Broken: 2.81 (sub 16), branch: master, commit date: 2019-11-20 14:27, hash: 26bd5ebd42e3, type: Release, build date: 2019-11-20, 16:33:00
Broken: 2.82 (sub 07), branch: master, commit date: 2020-02-12 16:20, hash: 77d23b0bd76f, type: Release, build date: 2020-02-13, 01:56:46
Broken: blender-2.83-79e529c5ec16-windows64 (BF Build Bot)
Broken: blender-2.83-2e75172c45fd-windows64 (BF Build Bot)

Short description of error

For the sake of testing I tried with opengl32.dll and got this so I don't know if it's related:

Exact steps for others to reproduce the error

Video:

  • Switch to Rendered Eevee
  • Move the camera

Event Timeline

I've tried a variety of Blender versions from the branches 2.82, 2.83, and 2.90 and I'm personally unable to reproduce this issue on a GTX 1050Ti with drivers 440.82 on Linux. Also tested with Windows with a variety of Blender versions with a GTX 1050Ti with driver 445.87.

May be a hardware issue, AMD issue, or software issue. I will leave further investigation to other people who can reproduce the issue.

@Alaska (Alaska) Out of curiosity what do you get with opengl32.dll?

@Alaska (Alaska) Out of curiosity what do you get with opengl32.dll?

You'll have to run me through the process of setting up OpenGL32.dll.

However, I doubt it will add much for the developers to work with. Could still give it a try.

Just wack this in you bleder directory.
{F8571779}

Heh, Clément probably already knew what the issue is before I created this report :-)

Edit:

  • Delete file to save space

Then I'll leave the testing and fixing of this issue to Clément and other users.

Just wack this in you blender directory.

Sorry, I won't test this. I'm quite skeptical of random .dlls online. Your intent probably isn't malicious, but I'm me, so...
Also, it probably won't provide much to the report as this is outside of standard Blender operation.

Fair enough, was just curious...

P.S. (after just having found out) If you need to do testing or require others to; the files are here: https://download.blender.org/opengl/software-emulation/

Germano Cavalcante (mano-wii) changed the task status from Needs Triage to Needs Information from User.Jun 3 2020, 5:31 PM

I can't reproduce the problem, but in the video I could see that you connected the Volume output to the input Surface of the Output Material.
This seems wrong.

Can you see if connecting to the Volume input solves the problem?

Can you see if connecting to the Volume input solves the problem?

Yes it does, but what can I say? I like breaking things :) I'm not sure how far Clément got in investigating this when he asked to make a task but is probably shouldn't happen in incorrect usage.

... I'm not sure how far Clément got in investigating this ...

This task has not yet been confirmed, so in theory it has not been investigated.
The original description does not reflect the real problem that is "Connecting the Volume output on the Surface input brings unpredictable results on Eevee".
This report could be edited, but in this case, in order not to confuse, it is better to make another report.